#include "offviewer.h"

extern char *interfacestring;

/*
   Display the program usage information
*/
void GiveUsage(char *cmd)
{
   fprintf(stderr,"Usage: %s [Options] off_file_name\n",cmd);
   fprintf(stderr,"Options\n");
   fprintf(stderr,"    -h                          This text\n");
   fprintf(stderr,"    -f                          Full screen\n");
   fprintf(stderr,"    -s                          Aactive stereo\n");
   fprintf(stderr,"   -ss                          Dual screen stereo\n");
   fprintf(stderr,"    -a                          Auto rotate\n");
   fprintf(stderr,"   -rw                          Wireframe\n");
   fprintf(stderr,"   -rs                          Flat shaded\n");
   fprintf(stderr,"   -rp                          Specular shaded\n");
   fprintf(stderr,"    -o n                        OFF file structure variant, default 0\n");
	fprintf(stderr,"   -bg r g b                    Background colour\n");
	fprintf(stderr,"%s\n",interfacestring);
   exit(-1);
}

/*
   Return true if two colours are the same
*/
int SameColour(fCOLOUR c1,fCOLOUR c2)
{
   if (ABS(c1.r-c2.r) > EPSILON)
      return(FALSE);
   if (ABS(c1.g-c2.g) > EPSILON)
      return(FALSE);
   if (ABS(c1.b-c2.b) > EPSILON)
      return(FALSE);
   return(TRUE);
}

